/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.TarifaTipoptovta;
import com.rjconsultores.ventaboletos.entidad.TipoPuntoVenta;
import java.math.BigDecimal;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author rodrigo
 */
public class RenderTarifaTipoPuntoVenta implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TarifaTipoptovta tarifaTipoPuntoVenta = (TarifaTipoptovta) o;

        Listcell lc = null;
        TipoPuntoVenta tipoPuntoVenta = tarifaTipoPuntoVenta.getTipoPuntoVenta();
        if (tipoPuntoVenta != null) {
            lc = new Listcell(tipoPuntoVenta.getDesctipo());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        BigDecimal precio = tarifaTipoPuntoVenta.getPrecio();
        if (precio != null) {
            lc = new Listcell(precio.setScale(2).toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        BigDecimal precioAbierto = tarifaTipoPuntoVenta.getPrecioredabierto();
        if (precioAbierto != null) {
            lc = new Listcell(precioAbierto.setScale(2).toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", tarifaTipoPuntoVenta);
    }
}
